# H460P_PresenceNotification Class Reference

`#include <h460pres.h>`

Inheritance diagram for H460P_PresenceNotification:

[legend]
Collaboration diagram for H460P_PresenceNotification:
[legend]

## Public Types

| e_aliasAddress
| e_subscribers
enum | OptionalFields { e_aliasAddress, e_subscribers }

## Public Member Functions

| H460P_PresenceNotification (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H460P_Presentity | m_presentity
H225_AliasAddress | m_aliasAddress
H460P_ArrayOf_PresenceIdentifier | m_subscribers

## Member Enumeration Documentation

enum H460P_PresenceNotification::OptionalFields

Enumerator:

  e_aliasAddress |
  e_subscribers |

## Constructor & Destructor Documentation

H460P_PresenceNotification::H460P_PresenceNotification | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceNotification::Clone | ( |  | ) | const

Comparison H460P_PresenceNotification::Compare | ( | const PObject & | obj | ) | const

PBoolean H460P_PresenceNotification::Decode | ( | PASN_Stream & | strm | ) |

void H460P_PresenceNotification::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460P_PresenceNotification::GetDataLength | ( |  | ) | const

void H460P_PresenceNotification::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H225_AliasAddress H460P_PresenceNotification::m_aliasAddress

H460P_Presentity H460P_PresenceNotification::m_presentity

H460P_ArrayOf_PresenceIdentifier H460P_PresenceNotification::m_subscribers

The documentation for this class was generated from the following file:

- h460pres.h